Bug 253695 - f7 don't detect raid0 volume on card RAID Promise Fastrak TX4 in boot process
f7 don't detect raid0 volume on card RAID Promise Fastrak TX4 in boot process
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
7
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 06:46 EDT by I. Piasecki
Modified: 2008-10-16 08:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description I. Piasecki 2007-08-21 06:46:46 EDT
Description of problem:
Hi.
I have RAID bus controller: Promise Technology, Inc. PDC20270 (FastTrak100
LP/TX2/TX4) (rev 01) and 2 HDD 40GB configured as RAID0 on this card.

I make: dmarid -ay and later dmraid -s

[root@localhost boot]# dmraid -s
*** Active Set
name   : pdc_hahbfbhb
size   : 156330496
stride : 128
type   : stripe
status : ok
subsets: 0
devs   : 2
spares : 0

then i can mount /dev/mapper/pdc_hahbfbhb as normal hdd storage.

so i mount: mount /dev/mapper/pdc_hahbfbhb /mnt/raid0-promise

So i can write and read from my RAID0 volume.

I want to discover this raid volume in a boot process of my f7

so i make: mkinitrd /boot/initrd-2.6.22.1-41.fc7.2.img 2.6.22.1-41.fc7

and edit grub.conf to change from this mkinitrd
/boot/initrd-2.6.22.1-41.fc7.2.img 2.6.22.1-41.fc7 to this mkinitrd
initrd-2.6.22.1-41.fc7.2.img

And reboot to see, if my RAID0 volume will be discovered.

After reboot i se this info in dmesg: 

device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
device-mapper: table: 253:0: striped: Couldn't parse stripe destination
device-mapper: ioctl: error adding target to table

In coresponding initrd file i have:
dm create pdc_hahbfbhb 0 156330496 stiped 2 128 8:80 0 8:96 0
dm partadd pdc_hahbfbhb

But in /dev/mapper there is only this file: control.

What is going on ?

It is bug or my misconfiguration ?

I.Piasecki







Version-Release number of selected component (if applicable):
The latest form Fedora7 repos


How reproducible:
For me always with my PROMISE FASTRAK RAID CARD 

Steps to Reproduce:
1.
2.
3.
  
Actual results:
RAID0 device isn't discovered in boot process.

Expected results:
RAID0 device is discovered in boot process, as a proof: in /dev/mapper should be
this files: pdc_hahbfbhb  pdc_hahbfbhb1 so i can add them to /etc/fstab as mount
points

Additional info:
Comment 1 S. Watt 2007-09-17 00:45:07 EDT
This looks exactly like the problem I'm having here:
https://bugs.launchpad.net/ubuntu/+source/devmapper/+bug/139736
Comment 2 Bug Zapper 2008-05-14 10:04:01 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:12:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.